Name:           perl-Email-Simple-Creator
Version:        1.420
Release:        2%{?dist}
Summary:        Email::Simple constructor for starting anew
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Email-Simple-Creator/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Email-Simple-Creator-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker), perl(Email::Date), perl(Test::More)
BuildRequires:  perl(Email::Simple), perl(Test::Pod), perl(Test::Pod::Coverage)
BuildArch:      noarch
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This software provides a constructor to Email::Simple for creating
messages from scratch.

%prep
%setup -q -n Email-Simple-Creator-%{version}

%build
sed -i '/LICENSE/ d' Makefile.PL
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT _docs
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LICENSE
%{perl_vendorlib}/Email/
%{_mandir}/man3/*.3*

%changelog
* Sun Apr 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.420-2
- fix LICENSE Warning on build
- add missing Test BR

* Sun Apr  1 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.420-1
- Initial package for Fedora
